namespace Ato.CD.Inbound.TRT
{
    public class Schedule
    {
        private readonly string _name;

        private Schedule(string name)
        {
            _name = name;
        }
        
        public static Schedule CGTS => new Schedule("CGTS");
        public static Schedule DISTBENTRT => new Schedule("DISTBENTRT");
        public static Schedule FTER => new Schedule("FTER");
        public static Schedule IDS => new Schedule("IDS");
        public static Schedule IEE => new Schedule("IEE");
        public static Schedule LS => new Schedule("LS");
        public static Schedule PSS => new Schedule("PSS");
        public static Schedule RS => new Schedule("RS");
        public static Schedule TRTAMIS => new Schedule("TRTAMIS");
        public static Schedule RPTTAXPOS => new Schedule("RPTTAXPOS");

        public override string ToString()
        {
            return _name;
        }
    }
}